const { Client, GuildMember, GuildChannelManager } = require("discord.js");

const monthsNames = [
    "Janvier",
    "Février",
    "Mars",
    "Avril",
    "Mai",
    "Juin",
    "Juillet",
    "Aout",
    "Septembre", 
    "Octobre",
    "Novembre",
    "Décembre",
];

// Client

Client.prototype.getTime = function(unix_timestamp, {
    visual = 0,
    month = true,
    unix = false,
    dev = false,
}) {

    if(!unix_timestamp) return undefined;

    const date = new Date(unix ? unix_timestamp : unix_timestamp * 1000);

    if(!date) return undefined;

    const years = date.getFullYear();

    const months = date.getMonth();

    const monthsName = month ? monthsNames[months] : monthsNames[months].toLowerCase();

    const days = date.getDate();

    const hours = date.getHours();

    const mins = date.getMinutes();

    const secs = date.getSeconds();

    let result = `${days} ${monthsName} ${years}`;

    if(visual === 1) result = `${days} ${monthsName} ${years} à ${hours}:${mins}`;

    if(visual === 2) result = `${days} ${monthsName} ${years} à ${hours}:${mins}:${secs}`;

    if(visual === 3) result = `${hours}:${mins}:${secs}`;

    if(visual === 4) result = `${mins}:${secs}`;

    if(visual === 5) result = `${days}/${months}/${years}`;

    if(dev) console.log(`Days : ${days}\nMonths : ${months}\nYears : ${years}\nHours : ${hours}\nMins : ${mins}\nSecs : ${secs}`);

    return String(result);

};

// GuildMember

GuildMember.prototype.permission = function(permission = "MANAGE_MESSAGES") {

    return this.permissions.has(permission);

};

// GuildChannelManager

GuildChannelManager.prototype.percentage = function(type = "GUILD_TEXT") {

    return (this.type(type) * 100) / this._cache.size;

};

GuildChannelManager.prototype.type =  function(type = "GUILD_TEXT") {

    return this._cache.filter((c) => c.type === type).size;

};